RKWARD(1)

NOME
rkward - Um frontend do KDE para o R

SINOPSE

rkward [--evaluate códigoR] [--debug-level nível] [--debug-flags flags] [--debug-output onde] [--backend-debugger comando_depurador] [--r-executable caminho_para_executável] [--reuse] [--autoreuse] [--nowarn-external] [Opções genéricas do KDE] [Opções genéricas do Qt] [arquivos_para_abrir]

DESCRIçãO

O RKWard é uma GUI e IDE baseada no KDE para a linguagem de script R, usada para computação estatística.

Para obter mais informações, consulte o site do RKWard[1] e a documentação fornecida dentro do RKWard.

OPçõES

--evaluate códigoR
    O código R fornecido é avaliado após o RKWard ter sido iniciado e após qualquer espaço de trabalho especificado ser carregado. Principalmente útil para testes automatizados.

--debug-level nível
    Nível de detalhamento da saída de depuração. 0-5, onde 0 significa nenhuma saída e 5 significa toda a saída, incluindo informações de rastreamento de função. O padrão é 2.

--debug-output onde
    Para onde enviar a saída de depuração. O padrão é armazená-la em um arquivo no diretório temporário. Especificar "terminal" gravará a saída de depuração no stderr (útil para depurar problemas de inicialização). Observe que a saída de depuração do processo em segundo plano é sempre armazenada em um arquivo.

--debug-flags flags
    Configure quais seções do código depurar. Os sinalizadores ou flags são fornecidos como um número binário. Consulte os arquivos de código para obter documentação, pois esta é realmente uma opção interna.

--backend-debugger comando
    Executa o backend do RKWard através do comando de depuração especificado. Para adicionar opções de linha de comando ao comando de depuração, coloque-as entre aspas simples ('') junto com o comando. NOTA: Os argumentos do depurador serão separados por espaços. Se isso não for apropriado, você terá que escrever seu próprio script wrapper para invocar o depurador. Além disso, certifique-se de redirecionar toda a saída e/ou entrada do depurador conforme apropriado. Veja os exemplos.

--r-executable comando
    No caso de várias instalações do R, especifique a instalação a ser usada, por exemplo /usr/bin/R. Você também pode usar a string "auto", caso em que o RKWard tentará encontrar o R em um dos caminhos de instalação padrão conhecidos. NOTA: embora o RKWard frequentemente funcione com versões mais recentes do R, ele às vezes precisará ser recompilado para essa versão, ou poderá ser totalmente incompatível.

    Esta opção altera a instalação do R apenas para a sessão atual, não de forma permanente.

--reuse
    Se uma instância de RKWard já estiver em execução, traz esta instância para a frente e abre arquivos_para_abrir. Observe que todas as outras opções de linha de comando serão ignoradas caso uma instância seja reutilizada.

--autoreuse
    Comporta-se como --reuse, se quaisquer argumentos de arquivo também forem fornecidos, inicia uma nova instância, caso contrário. Destinado ao uso no arquivo .desktop.

--nowarn-external
    Normalmente, ao invocar plugins do RKWard a partir da linha de comando (isto é, quando arquivos_para_abrir contém URLs no formato rkward://runplugin/...), o RKWard exibirá um aviso de que tais URLs podem ser usadas para acionar ações maliciosas em seu sistema. Este aviso se aplica especificamente a links encontrados em sites não confiáveis ou outras fontes externas não confiáveis. Se você deseja executar scripts do RKWard localmente, pode evitar este aviso adicionando --nowarn-external à linha de comando.

    (Se usado em combinação com --reuse, então *ambos* os comandos em questão precisarão ser invocados com --nowarn-external, para suprimir o aviso.)

--setup
    Simula a instalação de uma nova versão do RKWard, incluindo a reinstalação do pacote de suporte do R e a exibição do assistente de configuração. Esta funcionalidade é voltada principalmente para desenvolvedores e testadores.

--quirkmode
    Desabilita alguns códigos de validação de inicialização. Opção experimental, não destinada ao uso regular.

arquivos_para_abrir
    Você pode especificar qualquer número de nomes de arquivos ou URLs para o RKWard abrir. Normalmente, serão arquivos de espaço de trabalho, arquivos de ambiente de trabalho, arquivos de script R ou URLs `rkward://` (por exemplo, para iniciar com uma caixa de diálogo de plugin). Especificar mais de um arquivo de espaço de trabalho fará com que os espaços de trabalho sejam mesclados, o que não é recomendado.

VEJA TAMBéM

R(1)

EXEMPLOS

    # Inicia com a janela t-test
    rkward --nowarn-external rkward://runplugin/rkward::t_test/
    # Abra dois arquivos de script em uma instância em execução do RKWard (ou em uma nova instância, se o RKWard não estiver em execução)
    rkward --reuse arquivo_a.R arquivo_b.R

    # Executa o backend do rkward através do valgrind
    rkward --backend-debugger 'valgrind --log-file=valgrind.log'

AUTORES

RKWard foi escrito por Thomas Friedrichsmeier e a equipe RKWard. Veja o site do RKWard[1].

AUTOR

Thomas Friedrichsmeier <rkward-devel@kde.org>
    Página de manual do RKWard.

NOTAS

1.  site do RKWard
    https://rkward.kde.org/